package cn.com.poc.appbuilder.service;

import cn.com.poc.appbuilder.model.BizAppbuilderConversationModel;
import cn.com.yict.framemax.core.service.BaseService;
import cn.com.yict.framemax.data.model.PagingInfo;

import java.util.Collection;
import java.util.List;

public interface BizAppbuilderConversationService extends BaseService {

    BizAppbuilderConversationModel get(Integer id) throws Exception;
    
    List<BizAppbuilderConversationModel> findByExample(BizAppbuilderConversationModel example, PagingInfo pagingInfo) throws Exception;
    
    void delete(BizAppbuilderConversationModel model) throws Exception;
    
    void deleteById(Integer id) throws Exception;
    
    void deleteAll(Collection<Integer> ids) throws Exception;
    
    BizAppbuilderConversationModel save(BizAppbuilderConversationModel model) throws Exception;
    
    Collection<BizAppbuilderConversationModel> saveAll(Collection<BizAppbuilderConversationModel> models) throws Exception;
    
}